The integrated cross-platform development tool for ANSI Common Lisp LispWorks logo

Lisp Knowledgebase



Title: "LispWorks installation not found in ." when installing rpms for the separately installable modules

ID: 17029


Product: LispWorks for Linux
Version: 4.1, 4.2
OS: Linux

Description: When installing any of the Professional/Enterprise Edition separately installable modules using rpm, an error message like

LispWorks installation not found in .
error: %pre(lispworks-clim-4.2-2) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping lispworks-clim-4.2-2


might be printed. This is caused by a bug in rpm 4.1 and 4.2, as supplied with Red Hat 8.0 and Red Hat 9.

See Also:
Workaround:
Set the environment variable RPM_INSTALL_PREFIX to the install prefix of the main LispWorks package while installing these rpms. The usual install prefix is /usr, but it may be different if the --prefix option was used when installing the main LispWorks package.

Patch:

Hardware:N/A
Summary:
Bug#:
Patch Enhancement#:
Reported:

Top | Back